Overview | Package | Class | Tree | Deprecated | Index | Help
| XCC/J 4.2-9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.marklogic.xcc.exceptions
Class RequestPermissionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.marklogic.xcc.exceptions.XccException
                  com.marklogic.xcc.exceptions.RequestException
                      com.marklogic.xcc.exceptions.RequestPermissionException

All Implemented Interfaces:
  Serializable

    public class RequestPermissionException

extends RequestException

This exception indicates missing or incorrect permissions for a server request.

See Also:
  Serialized Form

Constructor Summary
`RequestPermissionException(String message, Request request, String user)`
`RequestPermissionException(String message, Request request, String user, boolean retryAdvised)`
`RequestPermissionException(String message, Request request, String user, Throwable cause)`

Method Summary
`String` | `getUser()` The user to which this permission issue applies.
`boolean` | `isRetryAdvised()` Set to true when a request is expected to succeed if retried with valid credentials.

Methods inherited from class com.marklogic.xcc.exceptions.RequestException
`appendRequestInfo, getRequest, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RequestPermissionException

    public RequestPermissionException(String message,
                                      Request request,
                                      String user)

### RequestPermissionException

    public RequestPermissionException(String message,
                                      Request request,
                                      String user,
                                      boolean retryAdvised)

### RequestPermissionException

    public RequestPermissionException(String message,
                                      Request request,
                                      String user,
                                      Throwable cause)

Method Detail

### getUser

    public String getUser()

  The user to which this permission issue applies.

  Returns:
    A user name as a String.

### isRetryAdvised

    public boolean isRetryAdvised()

  Set to true when a request is expected to succeed if retried with valid credentials.

  Returns:
    true if the request should be retried.

Overview | Package | Class | Tree | Deprecated | Index | Help
| XCC/J 4.2-9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 MarkLogic Corporation, All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com